TypeDefinitionVariableArrayImpl.VariableArrayMethodBag (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.meta.impl

## Class TypeDefinitionVariableArrayImpl.VariableArrayMethodBag

- java.lang.Object
- - tv.amwa.maj.meta.impl.MethodBag
  - - tv.amwa.maj.meta.impl.TypeDefinitionVariableArrayImpl.VariableArrayMethodBag

- Enclosing class:
    TypeDefinitionVariableArrayImpl

      public static class TypeDefinitionVariableArrayImpl.VariableArrayMethodBag
      extends MethodBag

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableArrayMethodBag(Method getter, Method[] candidateMethods, String propertyName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(MetadataObject metadataObject, Object value)`
    `void` | `clear(MetadataObject metadataObject)`
    `int` | `count(MetadataObject metadataObject)`
    `String` | `getAppendName()`
    `Object` | `getAt(MetadataObject metadataObject, int index)`
    `String` | `getClearName()`
    `String` | `getCountName()`
    `String` | `getGetAtName()`
    `String` | `getInsertAtName()`
    `String` | `getPrependName()`
    `String` | `getRemoveAtName()`
    `String` | `getSetterName()`
    `boolean` | `hasSetter()`
    `void` | `insertAt(MetadataObject metadataObject, int index, Object value)`
    `void` | `prepend(MetadataObject metadataObject, Object value)`
    `void` | `removeAt(MetadataObject metadataObject, int index)`
    `void` | `set(MetadataObject metadataObject, Object value)`

    - ### Methods inherited from class tv.amwa.maj.meta.impl.MethodBag

      `get, getGetterName, getPropertyName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableArrayMethodBag

          public VariableArrayMethodBag(Method getter,
                                        Method[] candidateMethods,
                                        String propertyName)

  - ### Method Detail

    - #### append

          public void append(MetadataObject metadataObject,
                             Object value)
                      throws IllegalArgumentException,
                             IllegalAccessException,
                             InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### prepend

          public void prepend(MetadataObject metadataObject,
                              Object value)
                       throws IllegalArgumentException,
                              IllegalAccessException,
                              InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### count

          public int count(MetadataObject metadataObject)
                    throws IllegalArgumentException,
                           IllegalAccessException,
                           InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### insertAt

          public void insertAt(MetadataObject metadataObject,
                               int index,
                               Object value)
                        throws IllegalArgumentException,
                               IllegalAccessException,
                               InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### removeAt

          public void removeAt(MetadataObject metadataObject,
                               int index)
                        throws IllegalArgumentException,
                               IllegalAccessException,
                               InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### getAt

          public Object getAt(MetadataObject metadataObject,
                              int index)
                       throws IllegalArgumentException,
                              IllegalAccessException,
                              InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### hasSetter

          public boolean hasSetter()

    - #### set

          public void set(MetadataObject metadataObject,
                          Object value)
                   throws IllegalArgumentException,
                          IllegalAccessException,
                          InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### clear

          public void clear(MetadataObject metadataObject)
                     throws IllegalArgumentException,
                            IllegalAccessException,
                            InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### getAppendName

          public String getAppendName()

    - #### getClearName

          public String getClearName()

    - #### getCountName

          public String getCountName()

    - #### getPrependName

          public String getPrependName()

    - #### getInsertAtName

          public String getInsertAtName()

    - #### getRemoveAtName

          public String getRemoveAtName()

    - #### getGetAtName

          public String getGetAtName()

    - #### getSetterName

          public String getSetterName()

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.